Add a warning when adding Library to Smart Proxy
Status: New   

Priority: Normal   

Assignee:    

Category: Content Views   

Target version: Katello Backlog   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hey,

https://docs.theforeman.org/master/Content_Management_Guide/index-foreman.html#adding-life-cycle-environments_content-mana

gement

Do not assign the Library lifecycle environment to your Smart Proxy server because it triggers an automated Smart Proxy sync every

time the CDN updates a repository. This might consume multiple system resources on Smart Proxies, network bandwidth between

Foreman and Smart Proxies, and available disk space on Smart Proxies.

Yet, one of our users missed it and got into troubles. Adding a warning in the UI when Library is selected would be a good idea.

https://community.theforeman.org/t/moved-from-spacewalk-to-foreman/21856

History

#1 - 01/06/2021 06:44 PM - Justin Sherrill

- Target version set to Katello 4.0.0

- Triaged changed from No to Yes

#2 - 02/10/2021 07:04 PM - Ian Ballou

- Target version changed from Katello 4.0.0 to Katello 4.1.0

#3 - 05/19/2021 06:19 PM - Jonathon Turel

- Target version changed from Katello 4.1.0 to Katello 4.2.0

#4 - 08/25/2021 05:08 PM - Justin Sherrill

- Target version deleted (Katello 4.2.0)

- Triaged changed from Yes to No

#5 - 08/25/2021 05:39 PM - Samir Jha

- Target version set to Katello Backlog

- Triaged changed from No to Yes
